package com.yd.dal.mapper.product;

import com.yd.dal.entity.product.ProductPlan;

import java.util.List;

public interface ProductPlanMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ProductPlan record);

    int insertSelective(ProductPlan record);

    ProductPlan selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ProductPlan record);

    int updateByPrimaryKey(ProductPlan record);

    List<ProductPlan> findAll();
}